summaryrefslogtreecommitdiffstats
path: root/libraries/libgsasl
diff options
context:
space:
mode:
author Marcel Saegebarth2010-05-13 00:58:50 +0200
committer Erik Hanson2010-05-13 00:58:50 +0200
commitfa0747a3069ede432d209f6d5d81d0f401080232 (patch)
tree516c79e5de913cf731d51215b1ea3b6f701931c6 /libraries/libgsasl
parent5a0d6ee9f5d10987cc8a88faf5ee99dc464609c3 (diff)
downloadslackbuilds-fa0747a3069ede432d209f6d5d81d0f401080232.tar.gz
libraries/libgsasl: Added to 13.0 repository
Diffstat (limited to 'libraries/libgsasl')
-rw-r--r--libraries/libgsasl/README6
-rw-r--r--libraries/libgsasl/libgsasl.SlackBuild91
-rw-r--r--libraries/libgsasl/libgsasl.info10
-rw-r--r--libraries/libgsasl/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/libraries/libgsasl/README b/libraries/libgsasl/README
new file mode 100644
index 0000000000..a4d6694e72
--- /dev/null
+++ b/libraries/libgsasl/README
@@ -0,0 +1,6 @@
+GNU SASL is an implementation of the Simple Authentication and Security Layer
+framework and a few common SASL mechanisms. The library includes support for
+the SASL framework (with authentication functions and application data privacy
+and integrity functions) and at least partial support for the CRAM-MD5,
+EXTERNAL, GSSAPI, ANONYMOUS, PLAIN, SECURID, DIGEST-MD5, LOGIN, NTLM and
+KERBEROS_V5 mechanisms.
diff --git a/libraries/libgsasl/libgsasl.SlackBuild b/libraries/libgsasl/libgsasl.SlackBuild
new file mode 100644
index 0000000000..fd5950be2e
--- /dev/null
+++ b/libraries/libgsasl/libgsasl.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# SlackBuild script for "libgsasl".
+
+# Copyright 2009 Marcel Saegebarth <tsa@gmx.li>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libgsasl
+VERSION=1.4.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-scram-sha1 \
+ --enable-gs2 \
+ --enable-kerberos_v5 \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING* ChangeLog INSTALL NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libgsasl/libgsasl.info b/libraries/libgsasl/libgsasl.info
new file mode 100644
index 0000000000..e3180be9e9
--- /dev/null
+++ b/libraries/libgsasl/libgsasl.info
@@ -0,0 +1,10 @@
+PRGNAM="libgsasl"
+VERSION="1.4.0"
+HOMEPAGE="http://www.gnu.org/software/gsasl/"
+DOWNLOAD="ftp://ftp.gnu.org/pub/gnu/gsasl/libgsasl-1.4.0.tar.gz"
+MD5SUM="e1e5ffac3f260a0412b8820d8e5229ab"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="tsa@gmx.li"
+APPROVED="Erik Hanson"
diff --git a/libraries/libgsasl/slack-desc b/libraries/libgsasl/slack-desc
new file mode 100644
index 0000000000..785ca7a5f5
--- /dev/null
+++ b/libraries/libgsasl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libgsasl: libgsasl (GNU SASL Library)
+libgsasl:
+libgsasl: GNU SASL is an implementation of the Simple Authentication and
+libgsasl: Security Layer framework and a few common SASL mechanisms.
+libgsasl: The library includes support for the SASL framework (with
+libgsasl: authentication functions and application data privacy and integrity
+libgsasl: functions) and at least partial support for the CRAM-MD5, EXTERNAL,
+libgsasl: GSSAPI, ANONYMOUS, PLAIN, SECURID, DIGEST-MD5, LOGIN, NTLM and
+libgsasl: KERBEROS_V5 mechanisms.
+libgsasl:
+libgsasl: Homepage: http://www.gnu.org/software/gsasl/